summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-04 19:05:27 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-04 19:05:27 +0000
commit7cf3e4bdf04f39cd616045cf40ffdc5dd0f0a557 (patch)
tree1f60c6ea5ab41ae0115867d61743a0aa943436df /dev-python
parent96e524b2d20da4f5c20427b78d6784c17e8bc579 (diff)
downloadbaldeagleos-repo-7cf3e4bdf04f39cd616045cf40ffdc5dd0f0a557.tar.gz
baldeagleos-repo-7cf3e4bdf04f39cd616045cf40ffdc5dd0f0a557.tar.xz
baldeagleos-repo-7cf3e4bdf04f39cd616045cf40ffdc5dd0f0a557.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyGithub/Manifest1
-rw-r--r--dev-python/PyGithub/PyGithub-1.52.ebuild28
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.14.34.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.17.34.ebuild62
-rw-r--r--dev-python/cliff/Manifest1
-rw-r--r--dev-python/cliff/cliff-3.4.0.ebuild36
-rw-r--r--dev-python/django/Manifest1
-rw-r--r--dev-python/django/django-3.1.ebuild79
-rw-r--r--dev-python/django/files/django-3.1-bashcomp.patch56
-rw-r--r--dev-python/notebook/Manifest1
-rw-r--r--dev-python/notebook/notebook-6.1.1.ebuild93
-rw-r--r--dev-python/pip/Manifest1
-rw-r--r--dev-python/pip/pip-20.2.1.ebuild145
-rw-r--r--dev-python/python-efl/Manifest1
-rw-r--r--dev-python/python-efl/python-efl-1.23.0.ebuild73
-rw-r--r--dev-python/rq/rq-1.5.0.ebuild2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild2
-rw-r--r--dev-python/tqdm/Manifest1
-rw-r--r--dev-python/tqdm/tqdm-4.48.2.ebuild58
-rw-r--r--dev-python/xlsxwriter/Manifest1
-rw-r--r--dev-python/xlsxwriter/xlsxwriter-1.3.1.ebuild22
23 files changed, 646 insertions, 76 deletions
diff --git a/dev-python/PyGithub/Manifest b/dev-python/PyGithub/Manifest
index fa6e76586cc6..457761c0a67e 100644
--- a/dev-python/PyGithub/Manifest
+++ b/dev-python/PyGithub/Manifest
@@ -1 +1,2 @@
DIST PyGithub-1.51.gh.tar.gz 2950990 BLAKE2B 214014b8205d954c559f2d19a38c7bc93800f40500c294397f16d55a4a027b7827910c93d98b6f5dd867bb0049ad1c9618c08ff72996f3717480ad17ce0ec64d SHA512 617b7bbc1fbd680735d5a57910ac1863cf67d9b2afc037d20fbd140a32aaa146164a76f73d76f2395aff1eee1fb13eac7a146c9cd05791b27db9a06a28d520e0
+DIST PyGithub-1.52.gh.tar.gz 3021721 BLAKE2B 399be5cd2c21e29e6da15c271442108e5391711f3f16fb3624d6068ad53c00f2e074ce45544e047fe651748203268c7262a49e47a7a358c55421c1e1917d0e30 SHA512 180d7814cef2c78daa90dac4f7f7ce37099bcfaa738612f7a5a013fd7cd1d108a1e6e1c2ea68ef188f05dcfa996beae97ba03fa0b66159b8d6845315b1be30fa
diff --git a/dev-python/PyGithub/PyGithub-1.52.ebuild b/dev-python/PyGithub/PyGithub-1.52.ebuild
new file mode 100644
index 000000000000..7299665b8577
--- /dev/null
+++ b/dev-python/PyGithub/PyGithub-1.52.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to access the Github API v3"
+HOMEPAGE="https://github.com/PyGithub/PyGithub/"
+# Use github since pypi is missing test data
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/deprecated[${PYTHON_USEDEP}]
+ dev-python/pyjwt[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/httpretty-0.9.6[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 3d3ad6db5012..84b9b1b31904 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.14.23.tar.gz 299581 BLAKE2B 57cbb3fbd9a84f334b5874ca96490cb0269bb79
DIST boto3-1.14.27.tar.gz 299871 BLAKE2B b0bca67cc43af0eb6d823ddf256e219c1137793a211c9f02fcbcba364887882496c98d1463b899c68e65127b2ddb3a4781f93237365a2fc539ba07b43714479e SHA512 3576d0ebe1167cf6ce9decd1efd9c55c5e06074303da38bee236c8f0bf1fb0ae459e88ae5719590a0e7aa02936277e5c08a35e5bf08249f50716b6147f7872a4
DIST boto3-1.14.28.tar.gz 299959 BLAKE2B 7318fd60ccd46e12f38eb14aeecfb59fd951ed9749990f2b7bfc991b2a5077d2afe93a37b28f833ec232e85cd85a454887672be3b6b72b37e696677c45c9287c SHA512 e83695d00f2d08ad129be24f2a387fcd7181f727bd4c64df1d3d8a14aff280388262032b60f7a01829ffcaeb639eeebc9e1e85a786f3228e1d28ed4d15166ca7
DIST boto3-1.14.31.tar.gz 300720 BLAKE2B 9dbd002e299c629f28037572c615a00612c80773006c344797d0ad56c81c240b56bfc56e8ffe52e3b404c77a56318532aadfa2d008c254e70f7bfa91e40b7e1a SHA512 e3fe0041bbdc67affcf5d5272c26aa14ef0fa546af2efb99187311bee23531181ab1f1ebc69f2c3ed8250140642f4402334ebbc9acbf422641fa6abed5d5815f
+DIST boto3-1.14.34.tar.gz 300890 BLAKE2B 0f8883ee4edc100207be68b93a5510fcb807adb860c0292cab9a6c2eaab238735f3ed01608ab7763f27d4eacb23e57beb289511ec83770ac91f33e044e5e9425 SHA512 cfe84bf5a1ea99905dbddcc63665bcd8e310cd0fdc37b1990c722ae6ca91e7c2adb17a8305eed19df0a6761f1c0c0c62cb935bd37d2360d84ea746753117a16b
diff --git a/dev-python/boto3/boto3-1.14.34.ebuild b/dev-python/boto3/boto3-1.14.34.ebuild
new file mode 100644
index 000000000000..ebf0565908dc
--- /dev/null
+++ b/dev-python/boto3/boto3-1.14.34.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 71b9e1769bf4..c7bd87499cd0 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.17.23.tar.gz 6564852 BLAKE2B cc1da91f4a45964fe684b015de9db253059
DIST botocore-1.17.27.tar.gz 6637309 BLAKE2B 8c3d8d27b13c55c11b4934e0af35bb0a01c67e0c30d33ce54710d3e3c967101c5d9258fc2317f86c9f8271044e977015b185015aafd3af748fe581f3120ea32d SHA512 9dc3341b6de7801da13f71730bcb2bf9c4295618303a1c98973cabb2aef947b5756352f3a9939b8fbe04a92c3a7cde6ed88f55c982f7dc412f7dff898bc75bc2
DIST botocore-1.17.28.tar.gz 6647521 BLAKE2B e9da32dd9202bc1ad621003bb6196873380f0015553cd906465382d21d30b7b83313e6be4e8d3d8abf4f6472180319a98677a3a245ad69bf6bde5d8e08264577 SHA512 5388518dc0bf598a3ea848df38454c49692abaf7ebe23e0ab0b1416139a4363b712260591e644c415ea3ea4cbac105011fef4d565b95fd3045fe6e4d3c7318a8
DIST botocore-1.17.31.tar.gz 6665851 BLAKE2B dbc89d1216f9fda89c6185baccfdf2878c265d8761e4ad1349a45d334f9a4d5b79ad1ce06a19a7a706b75be1a6d7f2a7bf5bc33d8ffbe7ad8a016472edf0432f SHA512 ab1921fae887846d1c224d624e8d5dd888ab9c0c90a415ac97e5ad2f7563131b199e8870553e7f3dd6f5ff4c7901aa04bfa99160aca4e9da8ef3096cfd922ec9
+DIST botocore-1.17.34.tar.gz 6683317 BLAKE2B a3229c09f7c21a95140e22d9902161b705bccf1a9559b6ba2bf45e5e79f2f2af7e86fcbae3654405faf73e4eb6a8f86a88c407aafb411c646d54aed72af8b162 SHA512 f5fe7803c4e083de7515f7bd58f84709ebaa8007d707273c6bf9fac1391b7d5ab7e8771725db59b9b6b5dd60e71f34140ae5435dec18ffc364c1779172de9bab
diff --git a/dev-python/botocore/botocore-1.17.34.ebuild b/dev-python/botocore/botocore-1.17.34.ebuild
new file mode 100644
index 000000000000..f19422b2507d
--- /dev/null
+++ b/dev-python/botocore/botocore-1.17.34.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+ "${FILESDIR}/botocore-1.16.7-unlock-deps.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # py3.9
+ find -name '*.py' -exec \
+ sed -i -e 's:cElementTree:ElementTree:' {} + || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/cliff/Manifest b/dev-python/cliff/Manifest
index 8074332d0b87..8c13072f3abf 100644
--- a/dev-python/cliff/Manifest
+++ b/dev-python/cliff/Manifest
@@ -1 +1,2 @@
DIST cliff-3.3.0.tar.gz 79680 BLAKE2B 844910bc588fb80ee6645735c3be2518fb00fb255eba67d7cf8a572ee9153cc5c1af399296782254d1d94aab89dd14a7107174b5c580cd842eddd62f4aeae155 SHA512 644dc14817e18dbabe8a33bd48545b27f5053f3b2c5be386c7752fe0a89d3de02aa70f6a5d7b0dcc32fb26f73773c744ba17e916c1186d93b8609caee5f08d6c
+DIST cliff-3.4.0.tar.gz 78990 BLAKE2B d7d8209e2fe24614cde6d3e113eb0dbbba981addef045fe318143e71f9a240188c0fb74e831d868b31b6dafb4289f7beabfbb5fe1dade1df196f670c53a55549 SHA512 d625588f4eed0aeee549b4a21e604f1cb886b8c10a12df7c546a5292223ec5bf9067352b4d326d5710673dab56eec47e2fb46c9c5d5df6e9fbf026d030bcde1c
diff --git a/dev-python/cliff/cliff-3.4.0.ebuild b/dev-python/cliff/cliff-3.4.0.ebuild
new file mode 100644
index 000000000000..dcea598a6e33
--- /dev/null
+++ b/dev-python/cliff/cliff-3.4.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Command Line Interface Formulation Framework"
+HOMEPAGE="https://github.com/openstack/cliff"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/cmd2-0.8.0[${PYTHON_USEDEP}]
+ <dev-python/prettytable-0.8[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12.0[${PYTHON_USEDEP}]
+"
+BDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index bf0f16d5be84..22d114b9f615 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -4,3 +4,4 @@ DIST Django-2.2.15.tar.gz 9023679 BLAKE2B 9619d0ac45a8256a1e605f447b89df6266d67d
DIST Django-3.0.7.tar.gz 8947502 BLAKE2B c26752f41f04f23ea1db9863d0919c17ed27b75133e22cc342e453e40077f05f6458f8edd290bfdcf828a181e38d89a1b4faeaa9cb44176ff0f7d67910d6b9df SHA512 566a78c3686baaea2ea8f2db2c1762a78ec5e5ae44f0be43f49c83899c2a0a9d1b2297a05ce8f4bc6bc580c494dde66bb2be47a8269cce3e1b007fedd857e5d3
DIST Django-3.0.8.tar.gz 9080731 BLAKE2B b3276527c9c5eba18b380204c498ebd5724e5211640ead9e05284eb013f907ce6799125b29e2030bc37ecd5a1022e6eb3f193eca5e2c6520adef630d6d2114a9 SHA512 92d169fb37883355f1898fc13b54b6732ec14d71f77e4b91db30dd9bfb5df8b34c1c9566af6ddc37e00a9e3eadd38b6a51ff604a4da4285167f66b55215be301
DIST Django-3.0.9.tar.gz 9081099 BLAKE2B 502f9cf1fafff50d92c771e845319f5406722cdb8ca0570688bb96e7fbc765cee319325b0340b722afeb0a304316d30408ca92154623ad4934877cbdc8ee9259 SHA512 1244b9cff26b9e8d9a3d611e0a39981bd1a46d68fa734a58ba12fd51eeb023fb053605372d7b41b51027e4e609f1870d25f7e0584d0449ceeb8d877f674e49b4
+DIST Django-3.1.tar.gz 9382872 BLAKE2B 31f2a45cf31f87401ac1834be81cf207ca48f720bf6d6885b774fb51f42616be1346b8ab71d6c0b605d99bc7422f27b21665729b78e00c9cc0ba9cf3e4d788f3 SHA512 31f0821966f4ebc6b2a719b69f1137a32a7228414221e8938a66c9b940465c008761bd380ba9ea603e3693d38c233d6f23afe0cbe5647eb2478844ce2d0e7fd4
diff --git a/dev-python/django/django-3.1.ebuild b/dev-python/django/django-3.1.ebuild
new file mode 100644
index 000000000000..997b729533bc
--- /dev/null
+++ b/dev-python/django/django-3.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 eutils
+
+MY_PN="Django"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
+SRC_URI="https://www.djangoproject.com/m/releases/$(ver_cut 1-2)/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/asgiref[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ elog "Additional Backend support can be enabled via"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ echo ""
+ elog "Other features can be enhanced by"
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/django/files/django-3.1-bashcomp.patch b/dev-python/django/files/django-3.1-bashcomp.patch
new file mode 100644
index 000000000000..1652842aaa38
--- /dev/null
+++ b/dev-python/django/files/django-3.1-bashcomp.patch
@@ -0,0 +1,56 @@
+From e0a8c0663debeb222bf78b97678f60929313b60a Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Wed, 6 May 2020 07:24:05 +0200
+Subject: [PATCH] Remove completions unsuitable for autoloading
+
+The override of 'python*' completions, as well as the attempt
+to './manage.py' completion are not going to work with autoloader.
+Strip them.
+---
+ extras/django_bash_completion | 33 +--------------------------------
+ 1 file changed, 1 insertion(+), 32 deletions(-)
+
+diff --git a/extras/django_bash_completion b/extras/django_bash_completion
+index fa77d59aff..dfeb439a2e 100755
+--- a/extras/django_bash_completion
++++ b/extras/django_bash_completion
+@@ -37,35 +37,4 @@ _django_completion()
+ DJANGO_AUTO_COMPLETE=1 $1 ) )
+ }
+ # When the django-admin.py deprecation ends, remove django-admin.py.
+-complete -F _django_completion -o default django-admin.py manage.py django-admin
+-
+-_python_django_completion()
+-{
+- if [[ ${COMP_CWORD} -ge 2 ]]; then
+- local PYTHON_EXE=${COMP_WORDS[0]##*/}
+- if echo "$PYTHON_EXE" | grep -qE "python([3-9]\.[0-9])?"; then
+- local PYTHON_SCRIPT=${COMP_WORDS[1]##*/}
+- if echo "$PYTHON_SCRIPT" | grep -qE "manage\.py|django-admin(\.py)?"; then
+- COMPREPLY=( $( COMP_WORDS=( "${COMP_WORDS[*]:1}" )
+- COMP_CWORD=$(( COMP_CWORD-1 ))
+- DJANGO_AUTO_COMPLETE=1 ${COMP_WORDS[*]} ) )
+- fi
+- fi
+- fi
+-}
+-
+-# Support for multiple interpreters.
+-unset pythons
+-if command -v whereis &>/dev/null; then
+- python_interpreters=$(whereis python | cut -d " " -f 2-)
+- for python in $python_interpreters; do
+- [[ $python != *-config ]] && pythons="${pythons} ${python##*/}"
+- done
+- unset python_interpreters
+- pythons=$(echo "$pythons" | tr " " "\n" | sort -u | tr "\n" " ")
+-else
+- pythons=python
+-fi
+-
+-complete -F _python_django_completion -o default $pythons
+-unset pythons
++complete -F _django_completion -o default django-admin.py django-admin
+--
+2.28.0
+
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 80c1229caab7..7abcd075231d 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,3 +1,4 @@
DIST notebook-5.0.0.tar.gz 11481080 BLAKE2B 3cc483d338ca22c6b4d7199100875e9425f90e1a7059c016cec07500f0558c437db5f7e367a5c4441520deb68fa891be31c07cd93e858c872a1f12d893530479 SHA512 fbee29cc554f36e94b1fe9804187a50581e840cfb5884bcdf2fef82ad9ae3ae0e2082ea0056f815bfa2a1c2f203679169155e61e53253aa2e9004a43ff7fbcae
DIST notebook-6.0.3.tar.gz 14048151 BLAKE2B ad4e433accc90acc13efc8005146dd8bcf2e645c104473f0e71d8d9fab80d7e128eb4e070b8aa04aee77e0d6115499e61beb841d94cf66b0e098dc50d3916cbd SHA512 fb56d0e10da3f8673e9578cdf04759dc3247547af6be4f479e9b183f3c5bd0a891fbfede187e0f5aca5c6ffdb9cae6ada23fe6dd159aca2d9cdf967f1f150922
DIST notebook-6.1.0.tar.gz 13794330 BLAKE2B bba5bde7b40cac4bf6a730d7f37005b74e19665e182ea8f81f748ed6a1f3790a019a9f57d1c232403373fbccbf446277e0bc6617556f4fce4487c2c968d8d6aa SHA512 be584c13e2a285076977cc94601e0cfe10f53e3c112a641d97b2128422bfcb48514d8651928ae703237ff7a956965a85066a363079dcd6a636f6dd6467371499
+DIST notebook-6.1.1.tar.gz 13758641 BLAKE2B 6971edc37d50e60c50f24ed77a02f8f22a95481a78eb1aed5a3ca4fd5808156fb1e88e982d159811677cf29428f9ab387f4529a18c8f7d471a44a067266521c6 SHA512 dfd7cb0aaac0fc3f96e998228b874abf0ddba5ef2640c5f8b198211362fd9aa51233e4a43038225120fb467168dfd026cf326d8d9bf43750d9da14129b72773d
diff --git a/dev-python/notebook/notebook-6.1.1.ebuild b/dev-python/notebook/notebook-6.1.1.ebuild
new file mode 100644
index 000000000000..e1b2f59583b2
--- /dev/null
+++ b/dev-python/notebook/notebook-6.1.1.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-libs/mathjax-2.4
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ >=www-servers/tornado-5.0[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.6.1[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-5.3.4[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-4.2.0[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/send2trash[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]"
+
+# sphinx 2+ seems to have a problem with its github plugin. temporarily adding
+# a version constraint.
+BDEPEND="
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/nose_warnings_filters[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ )
+ "
+
+PATCHES=(
+ "${FILESDIR}/${PN}"-5.7.0-no-mathjax.patch
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable bundled mathjax
+ sed -i 's/^.*MathJax.*$//' bower.json || die
+
+ # require geckodriver
+ rm -r notebook/tests/selenium || die
+ # trash doesn't seem to work for us
+ sed -e 's:test_delete:_&:' \
+ -i notebook/services/contents/tests/test_manager.py || die
+ sed -e 's:test_checkpoints_follow_file:_&:' \
+ -e 's:test_delete:_&:' \
+ -i notebook/services/contents/tests/test_contents_api.py || die
+ # network-sandbox?
+ sed -e 's:test_connections:_&:' \
+ -e 's:test_culling:_&:' \
+ -i notebook/services/kernels/tests/test_kernels_api.py || die
+
+ sed -i -e "/'bdist_egg':/d" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+ local -x PATH=${TEST_DIR}/scripts:${PATH}
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ ln -sf \
+ "${EPREFIX}/usr/share/mathjax" \
+ "${D}$(python_get_sitedir)/notebook/static/components/MathJax" || die
+}
+
+pkg_preinst() {
+ # remove old mathjax folder if present
+ rm -rf "${EROOT}"/usr/lib*/python*/site-packages/notebook/static/components/MathJax || die
+}
diff --git a/dev-python/pip/Manifest b/dev-python/pip/Manifest
index fb76bf56219e..2b4569e4dd8b 100644
--- a/dev-python/pip/Manifest
+++ b/dev-python/pip/Manifest
@@ -1,5 +1,6 @@
DIST pip-20.0.2.tar.gz 6445047 BLAKE2B 8f6e0a8908cf594c8d51818942b0839f59a495697a95dcc0347235e90cbe6d7f035f155761e7da9cfca1ba08b2c5a2c5def52c60c381f5428ef48efd1b6b5131 SHA512 f9965944ca0f319d01db1638ce97cf64772afff1778b3b1271155de73208cfcb3954d89a469c1143c0bf3288a53d4446165a49df994374b16ac6f7ffdae85857
DIST pip-20.1.1.tar.gz 6503229 BLAKE2B 5b0409042c970ec47fa6f947b21a53aca43563a6bb442fd5f91788fa97caf7167a84b4f581de87453eb0e55657d2ccd11dca2d1815c3bfe9ef5923994306a6db SHA512 ee7b0345c08fbe0215811d07b4c57c1ceece826871842f6d1c174d82e8eee0ad810aa5413d6763ecd5a513e151792a53c36623ab99d2049555ef2542d32d1658
+DIST pip-20.2.1.tar.gz 8717384 BLAKE2B a547b85296da67662080309fc8630c8ad3b0a6898319bd523719b411f0919cb15819e4b8e794aad9e7c13d6af2159c102ead0bd8d8f89e0e618017a8552cf985 SHA512 52abcc336a3c06b0e2b790a7fd4283483b46c1cc6be8e89d8640072ae4517d79afa074683622f8374ebf76a7c3516a05f261e35363327d5d68fb15ec6e6718cd
DIST pip-20.2.tar.gz 8715960 BLAKE2B dbcec865314ba0b65112e42477a2c48dc9a60592a07a834d3886025489fcd8de4c83733044d1ad84dd87af084677b2f406d5d8faa301853ab844b3770be168de SHA512 77db7c618b492cbdef54ef98d4e9a94735a809148fb08ef7d065fbeaf047ced26ddc20d0395a0b2db079c66175a267fc15717a24def70392182326b2c659e6f1
DIST setuptools-44.0.0-py2.py3-none-any.whl 583230 BLAKE2B 823e6792471660f247e30a938aa869d345a63db7294e5f9b4bd88f15a7694779011d29740fe317149620985f705fc6e18cbb07a18e5680cc11d7c229ffbc74f6 SHA512 7006fd303181afbeeec0e30cafb9fd1e4d3c6f55cfdd6343fedbc32b17dbb96b3d96ae37f4db27bfb168738727474cf425904ec280ff1d2b789fc48077a8fa84
DIST wheel-0.34.2-py2.py3-none-any.whl 26502 BLAKE2B 3a1bd4571c582245b60ff33c9bf74ff8a2ebafb26e56fc7b9bd215058d059b6bd13bbe21ce46002af257813a54126f27e19253f211e21c4548c7cf84cd15caf7 SHA512 4f1a44f4691ed8baad777d7874f7f4da96a5019eb485fd3a9eed9259aa2a9d5acccc6dc63a72128664347c64ee039a6076c6ca9c3b75a1f94457967864e522ed
diff --git a/dev-python/pip/pip-20.2.1.ebuild b/dev-python/pip/pip-20.2.1.ebuild
new file mode 100644
index 000000000000..6452415611d1
--- /dev/null
+++ b/dev-python/pip/pip-20.2.1.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit bash-completion-r1 distutils-r1 multiprocessing
+
+SETUPTOOLS_PV="44.0.0"
+WHEEL_PV="0.34.2"
+
+DESCRIPTION="Installs python packages -- replacement for easy_install"
+HOMEPAGE="https://pip.pypa.io/ https://pypi.org/project/pip/ https://github.com/pypa/pip/"
+SRC_URI="
+ https://github.com/pypa/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ test? (
+ https://files.pythonhosted.org/packages/py2.py3/s/setuptools/setuptools-${SETUPTOOLS_PV}-py2.py3-none-any.whl
+ https://files.pythonhosted.org/packages/py2.py3/w/wheel/wheel-${WHEEL_PV}-py2.py3-none-any.whl
+ )
+"
+# PyPI archive does not have tests, so we need to download from GitHub.
+# setuptools & wheel .whl files are required for testing, exact version is not very important.
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+SLOT="0"
+IUSE="test -vanilla"
+
+# disable-system-install patch breaks tests
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/setuptools-39.2.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/csv23[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/scripttest[${PYTHON_USEDEP}]
+ <dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' -2)
+ )
+"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-19.3-disable-version-check.patch"
+ "${FILESDIR}/${PN}-20.2-no-coverage.patch"
+ )
+ if ! use vanilla; then
+ PATCHES+=( "${FILESDIR}/pip-20.0.2-disable-system-install.patch" )
+ fi
+
+ # TODO
+ rm tests/functional/test_new_resolver_user.py || die
+
+ distutils-r1_python_prepare_all
+
+ if use test; then
+ mkdir tests/data/common_wheels/ || die
+ cp "${DISTDIR}"/setuptools-${SETUPTOOLS_PV}-py2.py3-none-any.whl \
+ tests/data/common_wheels/ || die
+
+ cp "${DISTDIR}"/wheel-${WHEEL_PV}-py2.py3-none-any.whl \
+ tests/data/common_wheels/ || die
+ fi
+}
+
+python_test() {
+ if [[ ${EPYTHON} == pypy* ]]; then
+ ewarn "Skipping tests on ${EPYTHON} since they are very broken"
+ return 0
+ fi
+
+ local -a exclude_tests
+
+ # these will be built in to an expression passed to pytest to exclude
+ exclude_tests=(
+ git
+ svn
+ bazaar
+ mercurial
+ version_check
+ uninstall_non_local_distutils
+ pep518_uses_build_env
+ install_package_with_root
+ install_editable_with_prefix
+ install_user_wheel
+ install_from_current_directory_into_usersite
+ uninstall_editable_from_usersite
+ uninstall_from_usersite_with_dist_in_global_site
+ build_env_isolation
+ user_config_accepted
+ )
+
+ distutils_install_for_testing
+
+ # generate the expression to exclude failing tests
+ local exclude_expr
+ printf -v exclude_expr "or %s " "${exclude_tests[@]}" || die
+ exclude_expr="not (${exclude_expr#or })" || die
+
+ local -x GENTOO_PIP_TESTING=1 \
+ PATH="${TEST_DIR}/scripts:${PATH}" \
+ PYTHONPATH="${TEST_DIR}/lib:${BUILD_DIR}/lib"
+
+ pytest -vv \
+ -k "${exclude_expr}" \
+ -m "not network" \
+ || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ # Prevent dbus auto-launch
+ # https://bugs.gentoo.org/692178
+ export DBUS_SESSION_BUS_ADDRESS="disabled:"
+
+ local DOCS=( AUTHORS.txt docs/html/**/*.rst )
+ distutils-r1_python_install_all
+
+ COMPLETION="${T}"/completion.tmp
+
+ # 'pip completion' command embeds full $0 into completion script, which confuses
+ # 'complete' and causes QA warning when running as "${PYTHON} -m pip".
+ # This trick sets correct $0 while still calling just installed pip.
+ local pipcmd='import sys; sys.argv[0] = "pip"; import pip.__main__; sys.exit(pip.__main__._main())'
+
+ ${PYTHON} -c "${pipcmd}" completion --bash > "${COMPLETION}" || die
+ newbashcomp "${COMPLETION}" ${PN}
+
+ ${PYTHON} -c "${pipcmd}" completion --zsh > "${COMPLETION}" || die
+ insinto /usr/share/zsh/site-functions
+ newins "${COMPLETION}" _pip
+}
diff --git a/dev-python/python-efl/Manifest b/dev-python/python-efl/Manifest
index 3e2ca161f2d4..5c40865fe973 100644
--- a/dev-python/python-efl/Manifest
+++ b/dev-python/python-efl/Manifest
@@ -1,2 +1 @@
-DIST python-efl-1.23.0.tar.xz 9524832 BLAKE2B d738d3481a0805490c756d38fe169e7d54d9b4c8d6b18ba45265db029b28e59eec8d711675c3fcd52500e19cda8cabc49fb0a2d052d2b9be7800ff9f6dc78f75 SHA512 b2c4389795d704b8f0d8f2d0703b90b09daaeacf7a2d4b372d86f9e0b8f9e2f5b465f8651a0da7cb4bc1800357c317b9cb737afcb415fc0a4cdf4cbed62bdf85
DIST python-efl-1.24.0.tar.xz 9535212 BLAKE2B ab9535d60af75422f3c055e56f3c6297f595afbf682970afcb21f597486b307504fa83ab894c2029fb681dda8d886d1fc837726d1c4ae62df7185fbc0073724a SHA512 5b57de58b2351f00f744454e6aaa16f7bf9cf72b7f73d07a2d98cda4d152eb65810513b5c04b1eda127b6f5caf56e4b9bc9a7c1ef98593edde26a9ed3be953c9
diff --git a/dev-python/python-efl/python-efl-1.23.0.ebuild b/dev-python/python-efl/python-efl-1.23.0.ebuild
deleted file mode 100644
index 395d70804d7c..000000000000
--- a/dev-python/python-efl/python-efl-1.23.0.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-
-inherit distutils-r1 flag-o-matic
-
-DESCRIPTION="Python bindings for Enlightenment Foundation Libraries"
-HOMEPAGE="https://phab.enlightenment.org/w/projects/python_bindings_for_efl/"
-SRC_URI="https://download.enlightenment.org/rel/bindings/python/${P}.tar.xz"
-
-LICENSE="|| ( GPL-3 LGPL-3 )"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="doc test"
-
-RESTRICT="!test? ( test )"
-
-RDEPEND="=dev-libs/efl-1.23*
- dev-python/dbus-python[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- >=dev-python/cython-0.28.4[${PYTHON_USEDEP}]"
-BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- virtual/pkgconfig
- doc? (
- dev-python/sphinx[${PYTHON_USEDEP}]
- media-gfx/graphviz
- )"
-
-src_prepare() {
- default
-
- # Tries to download a file under /tmp
- rm tests/ecore/test_09_file_download.py || die
-
- # Tries to use that file which failed to download
- rm tests/ecore/test_10_file_monitor.py || die
-
- # Needs an active internet connection
- rm tests/ecore/test_11_con.py || die
-
- # Test fails because of deleted files above
- sed -i 's/>= 13/>= 10/g' tests/ecore/test_08_exe.py || die
-
- # Make tests verbose
- sed -i 's:verbosity=1:verbosity=3:' tests/00_run_all_tests.py || die
-
- # Disable any optimization on x86, #704260
- if use x86; then
- filter-flags -O?
- append-cflags -O0
- fi
-}
-
-python_compile_all() {
- if use doc ; then
- esetup.py build_doc --build-dir "${S}"/build/doc/
- fi
-
- distutils-r1_python_compile
-}
-
-python_test() {
- cd tests/ || die
- ${EPYTHON} 00_run_all_tests.py --verbose || die "Tests failed with ${EPYTHON}"
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( ./build/doc/html/. )
- distutils-r1_python_install_all
-}
diff --git a/dev-python/rq/rq-1.5.0.ebuild b/dev-python/rq/rq-1.5.0.ebuild
index 6d8d6a095a82..9bdebc9d6b3f 100644
--- a/dev-python/rq/rq-1.5.0.ebuild
+++ b/dev-python/rq/rq-1.5.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/rq/rq/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
BDEPEND="
test? (
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild
index 180866d812cb..c23ecfdbfc37 100644
--- a/dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild
+++ b/dev-python/sentry-sdk/sentry-sdk-0.16.3.ebuild
@@ -14,7 +14,7 @@ S="${WORKDIR}/sentry-python-${PV}"
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
RDEPEND="
dev-python/urllib3[${PYTHON_USEDEP}]
diff --git a/dev-python/tqdm/Manifest b/dev-python/tqdm/Manifest
index e39d78c5a684..e8dcea048d39 100644
--- a/dev-python/tqdm/Manifest
+++ b/dev-python/tqdm/Manifest
@@ -1,3 +1,4 @@
DIST tqdm-4.47.0.tar.gz 145749 BLAKE2B 77a5efec763a8e58e071ee571077ee0db72d9243308592519ecd2c38f60d6b621fd7362dd87bdd0759a39f25c19cc3cc889e9a8376dc658ed565ca7e19fc68cd SHA512 4023988cef757f43a6f59f7eddc8f40246cbca4994cea91dbb4a788385c0706f376f4c0fd5c8c47146c10eb8c52be2c9d4855b7bea0a5036162c55447aac95d7
DIST tqdm-4.48.0.tar.gz 148578 BLAKE2B 95ce438cc14cad5a4ad7b9b2b89b38d5a5c49e27a4ed797ae1a05d7eb3d9539dfaaee72f6330cd5f3f18721ca4259c5ee3f643ae8dd509f1e2261566ee9c3f02 SHA512 9c23b103603c5f56f9cc84d04e68950a0e6431cf40db856918f6e2f21aea61fafbbf466eff6d80fc14c40bb2a11dd0be80e801c55adbab02762c36ce9bed31a9
DIST tqdm-4.48.1.tar.gz 148971 BLAKE2B 119b538dc9fadc1b38cb48d6169ecd647397883bbf26257cabe6d613e48fbcded3bebf74399f96ba69603b24589464b559da1f204fd38bd6d87e836539d6cc61 SHA512 fc47674c0c62d83d2bffb2ee46862b562517c4ceef21e1802db4a85006bee53f6a99fba87ebeb9e8ea5d34ae35a21378ae379ba159dd6aab16f28d1ed527f0c3
+DIST tqdm-4.48.2.tar.gz 148978 BLAKE2B 2423a3d23b86ec6b535a2157d0fbaea6921f95873fb2507a08ff57de0fdcf8fcbfb030210393f5410437ee9977da3ad2011f07a866b3f91a057e338082325976 SHA512 849e4dad4bd0819b328e906af8a8f7acf2ebfd559c9ae3ebf822bc64c1b1a5c96e44b9b69d3dedf6387c44cf9eed559f1377ea29f71fadfc8f056c52685425e9
diff --git a/dev-python/tqdm/tqdm-4.48.2.ebuild b/dev-python/tqdm/tqdm-4.48.2.ebuild
new file mode 100644
index 000000000000..9b6164953dcf
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.48.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tqdm/tqdm"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ sed -r \
+ -e "s:'nose'(,[[:space:]]*|)::" \
+ -e "s:'flake8'(,[[:space:]]*|)::" \
+ -e "s:'coverage'(,[[:space:]]*|)::" \
+ -i setup.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # tests_main.py requires the package to be installed
+ distutils_install_for_testing
+ # Skip unpredictable performance tests
+ nosetests tqdm -v --ignore 'tests_perf.py' \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+ rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+ distutils-r1_python_install --skip-build
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/xlsxwriter/Manifest b/dev-python/xlsxwriter/Manifest
index f60553563352..18f55006a0c3 100644
--- a/dev-python/xlsxwriter/Manifest
+++ b/dev-python/xlsxwriter/Manifest
@@ -1,3 +1,4 @@
DIST xlsxwriter-1.2.8-tests.tar.gz 29222574 BLAKE2B 11a13c5fc4089c8c15dcaa069a6f044555426e71dd040a6abf1038fb2a33788744c80487abaf1da6b3c0fae2db55a389c0cedbac251c793dc828920ea55ee5b3 SHA512 2269235ad3bb243dd8be5cf33efb6503e08e3d7ac42bce042c97737ebb8a9db880db93c05bbb2708b0bb6c621cb11c91f3e7d5b4fa09fce88092b365910b1afb
DIST xlsxwriter-1.2.9-tests.tar.gz 29395878 BLAKE2B 010e3baf191dafe04b4c73986c7997048aeb1002515d24e104a241e7bc80c5e3e4e46b2454e01de72e23418a24ad981b758355dc77dfa1980265d5b119e7c247 SHA512 4680f2eaa96ec8063432f3f0642d27895cd462d3d9b664a452f8e2956bcd16268f41a5780d172cf61cd3951f1f5fbc2dc904ebef1e08e7f45269821a3157c7eb
DIST xlsxwriter-1.3.0-tests.tar.gz 30533927 BLAKE2B 4339cf064147e4f7e05af4b91576cd13eb3b0074ef98a843107e01d13548dd4781f520b589035439e6dfff5e915673462dfaac2d8143ffc5295a69ebbc193656 SHA512 41cb2743dbcf7f9537922060d84683145b82e4e8eac7134356c23b15ba30094c0461767d15cc8d2aec712ce8e1516b3a7811c60305cc365a5d0cb3c18da046fd
+DIST xlsxwriter-1.3.1-tests.tar.gz 31366131 BLAKE2B 10c39c2a4d7c509ae98cf39feb97ae19bf53fc6be2ed0688d59bc6bd26bd3a8ce53edb43eedc83eba41258074fdc8bcdd54f2514297d045d5b283a7f1aacf922 SHA512 822a00911b783eeb907da3563a0fc939693296418b785087d2b7a43db08118b038ea6261f5b8832a1270813c51d54f2937020ccc150bfb4556bee056ae8af34b
diff --git a/dev-python/xlsxwriter/xlsxwriter-1.3.1.ebuild b/dev-python/xlsxwriter/xlsxwriter-1.3.1.ebuild
new file mode 100644
index 000000000000..87e2fb0a7da0
--- /dev/null
+++ b/dev-python/xlsxwriter/xlsxwriter-1.3.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="XlsxWriter"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python module for creating Excel XLSX files"
+HOMEPAGE="https://github.com/jmcnamara/XlsxWriter"
+SRC_URI="https://github.com/jmcnamara/XlsxWriter/archive/RELEASE_${PV}.tar.gz -> ${P}-tests.tar.gz"
+S="${WORKDIR}/${MY_PN}-RELEASE_${PV}"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest